Last Comment Bug 1121714 - Firefox Desktop Privacy Notice Change (Telemetry Experiments & Domains / Flash)
: Firefox Desktop Privacy Notice Change (Telemetry Experiments & Domains / Flash)
Status: RESOLVED FIXED
In Legal review
:
Product: Privacy
Classification: Graveyard
Component: Privacy Policies (show other bugs)
: unspecified
: x86_64 Windows 8.1
P1 critical
: ---
Assigned To: Kohei Yoshino [:kohei]
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-01-14 14:54 PST by Geoff Piper
Modified: 2015-01-27 10:26 PST (History)
8 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
pull request to merge the legal-docs change to bedrock (44 bytes, text/x-github-pull-request)
2015-01-15 09:52 PST, Kohei Yoshino [:kohei]
no flags Details | Review | Splinter Review

Description User image Geoff Piper 2015-01-14 14:54:38 PST
The Firefox Desktop privacy notice (https://www.mozilla.org/en-US/privacy/firefox/) needs to be revised by including language to address domain collection necessary for certain Telemetry experiments (i.e., specifically in this case related to Flash) and relating to this Bug: https://bugzilla.mozilla.org/show_bug.cgi?id=1121686

The new language will read as follows: 
"When telemetry is enabled, certain short-term experiments may collect information about visited sites."

And will be placed in the Telemetry section as the last sentence in the first paragraph.
Comment 1 User image Geoff Piper 2015-01-14 14:59:58 PST
Language added via GitHub to the PN and found a the following pull request: https://github.com/mozilla/legal-docs/pull/281
Comment 2 User image Geoff Piper 2015-01-14 15:04:12 PST
Adding Kohei, Mike, Jenn and Peiying...first time going through this process using a Privacy Bug to order the work.

FYI Mika and I are working through a process doc that will outline all steps to make sure we are not missing anything. Would love your input on that.

For this immediate request, I have added language to the Firefox Desktop PN and issued a pull request via GitHub. 

Jenn/Mike/Kohei would you arrange to make that live asap? (The experiments go live tomorrow. I understand the 3-5 day turn around but this came as a surprise to me this time.) Any chance we can do it faster here?

Peiying, would you arrange to get these changes localized?
Comment 3 User image Mike Alexis [:malexis] 2015-01-14 15:52:25 PST
Geoff,
We will review this tomorrow Thursday at 10am PST when the team meets to triage and we will target to push live shorty after. There's a chance someone will get to it before then, but currently we are past our push window for today.

Let me know if you have any questions.
Comment 4 User image Geoff Piper 2015-01-14 15:57:06 PST
(In reply to Mike Alexis [:malexis] from comment #3)
> Geoff,
> We will review this tomorrow Thursday at 10am PST when the team meets to
> triage and we will target to push live shorty after. There's a chance
> someone will get to it before then, but currently we are past our push
> window for today.
> 
> Let me know if you have any questions.

Great Mike and thanks!
Comment 5 User image Kohei Yoshino [:kohei] 2015-01-15 09:52:10 PST
Created attachment 8549740 [details] [review]
pull request to merge the legal-docs change to bedrock
Comment 6 User image [github robot] 2015-01-15 13:01:07 PST
Commits pushed to master at https://github.com/mozilla/bedrock

https://github.com/mozilla/bedrock/commit/a32c2543438d301c0808ba79841b9af7e0c63551
Bug 1121714 - Firefox Desktop Privacy Notice Change (Telemetry Experiments & Domains / Flash)

https://github.com/mozilla/bedrock/commit/3a866a05d0494009f36f58e43b0624da50edc88b
Merge pull request #2659 from kyoshino/bug-1121091-update-legal-docs

Fix Bug 1121714 - Firefox Desktop Privacy Notice Change (Telemetry Experiments & Domains / Flash)
Comment 7 User image Geoff Piper 2015-01-15 13:50:37 PST
Thanks. I see te language is now live. Appreciate the fast turn around here!
Comment 8 User image Kohei Yoshino [:kohei] 2015-01-15 14:14:48 PST
:)
Comment 9 User image Peiying Mo [:CocoMo] 2015-01-27 10:26:59 PST
Geoff,

The localized version is tracked by a separate bug: 1122807.  They are all done except for Japanese which is managed through the Japan office.

Note You need to log in before you can comment on or make changes to this bug.